# drover

Drover API as a gem

`gem install drover` or `gem 'drover'` in your `Gemfile`

## `Drover.search_vehicles_results(params)`

Example:

```ruby
Drover.search_vehicles_results(
  number_of_weeks: 12,
  start_date: "20/11/2018",
  vehicle_type: "PCO",
  sub_type: "UberX",
  location: "Londres, Royaume-Uni"
)
```

Params:

- `number_of_weeks`
- `start_date`
- `vehicle_type`
- `sub_type`
- `vehicle_make`
- `transmission`
- `location`

### Response

- `vehicles`
  - `approved`
  - `auto_renew`
  - `bookable_for_long_bookings`
  - `bookable_for_max_years`
  - `discount_price_schedule`
  - `distance_miles`
  - `driver_price_pence`
  - `fuel_type`
  - `id`
  - `images`
    - `default`
    - `description`
    - `id`
    - `image_url`
    - `imageable_id`
    - `imageable_type`
  - `latitude`
  - `licence_plate`
  - `longitude`
  - `mpg`
  - `on_default_discount_schedule`
  - `postcode`
  - `state`
  - `sub_type`
  - `transmission`
  - `unavailable`
  - `vehicle_make`
  - `vehicle_model`
  - `vehicle_type`
  - `year`
