lib = File.expand_path('../lib', __FILE__)

$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |s|
  s.name        = 'drover'
  s.version     = '0.0.2'
  s.date        = '2017-11-19'
  s.summary     = 'Drover API'
  s.description = 'Drover public endpoints'
  s.authors     = ['Dorian Marié']
  s.email       = 'dorian@doma.io'
  s.files       = ['lib/drover.rb']
  s.homepage    = 'https://github.com/Dorian/drover'
  s.license     = 'MIT'

  s.files       = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  s.require_paths = ['lib']
  s.add_runtime_dependency 'json', '~> 2'
  s.add_runtime_dependency 'activesupport', '~> 5'
  s.add_development_dependency 'bundler', '~> 1'
  s.add_development_dependency 'rake', '~> 12'
  s.add_development_dependency 'rspec', '~> 3'
end

